Pbuilder 4.0.5 and SA 5.0.5

I'm  concerned about connecting from PB 4.0.5 to SA 5.0.5. I tried from
ISQL and everything works fine but when defining my profile from PB it just
doesn't connect.

Has anybody stablished an Transact SQL DB in SA and connected from PB, when
I tried setting the quoted_identifier = OFF it complains about the
PRECISION option.

thank's in advance.

Ruben Valenzuela
0
Ruben
4/18/1997 5:42:14 PM
sybase.sqlanywhere.general 32637 articles. 22 followers. Follow

3 Replies
949 Views

Similar Articles

[PageSpeed] 7
Get it on Google Play
Get it on Apple App Store

Here is a portion of one of our faxlines.  I'm assuming that you are using
16-bit PB.
To see other faxlines call (508) 287-1600

Faxline Document 4477


Connecting 16-bit ODBC Applications to a 32-bit SQL Anywhere Client or
Engine

On the Microsoft 32-bit operating systems, Windows NT and Windows 95, it is
possible to configure your 16-bit Windows
application to connect to the 32-bit SQL Anywhere Client or Standalone
Engine using ODBC.

The Microsoft 16-bit ODBC Driver Manager (ODBC.DLL), provided with SQL
Anywhere, provides 16- to 32-bit thunking services that
allow a 16-bit application to access a 32-bit ODBC driver without any
changes.

*Please note: Under Windows 95 you must be at least at version 5.5 of SQL
Anywhere for the 16 to 32 bit thunking to work properly. 

How to Do It 


� Configure your ODBC datasource using the 32-bit ODBC Administrator
(ODBCAD32.EXE). To prevent confusion, you should not
have a 16-bit datasource already defined with the same name.
� Within your ODBC application, specify the datasource name that you
created in the 32-bit ODBC Administrator. The Microsoft
ODBC Driver Manager will take care of the rest.

The Technical Details 


The diagram on the following page illustrates the relationship between the
various DLLs, INI files, and the Registry.

When you create a 32-bit ODBC datasource using the 32-bit ODBC
Administrator, entries are made in both the registry and the
ODBC.INI file. For example, if we configure a datasource named sademo (that
executes the standalone engine against the
sademo.db supplied with SQL Anywhere) we will have the following entries in
the Registry (stored under HKEY_CURRENT_USER
as the key Software\ODBC\ODBC.INI\Sademo):
Name Data
AutoStop yes
DatabaseFile C:\sqlany50\sademo.db
Driver c:\sqlany50\win32\wod50t.dll
PWD sql
Start dbeng50
UID dba

The ODBC.INI file will have the following entries
[ODBC 32 bit Data Sources]
Sademo=Sybase SQL Anywhere 5.0 (32 bit)
[Sademo]
Driver32=c:\sqlany50\win32\wod50t.dll

The approximate execution sequence is as follows:
� The 16-bit application makes a call to ODBC.DLL that initiates a
connection (most often SQLDriverConnect or SQLConnect)
� ODBC.DLL finds the specified datasource name in ODBC.INI
� ODBC.INI shows the line driver32= which starts the thunking and passes
the call to the 32-bit driver .
� The 16-bit application and 32-bit ODBC driver continue to communicate
through the thunking layer.



A Note About ODBC DLLs 


If the ODBC DLLs are not already installed on your machine, SQL Anywhere
will install the appropriate DLLs. If these DLLs are
already installed, but not at the correct level, you can have problems
configuring and using 32-bit datasources. This type of situation
can commonly occur if you upgrade to Windows 95 from Windows 3.x and you
previously had ODBC DLLs installed for Win32s. You
can check the versions of the following DLLs: 

Date Version #
odbc.dll 3/ 3/95 2.10.2401
odbc16gt.dll 8/15/95 2.50.3006
odbc32.dll 8/15/95 2.50.3006
odbc32gt.dll 8/15/95 2.50.3006
odbccp32.dll 8/15/95 2.50.3006
odbcinst.dll 3/ 3/95 2.10.2401
odbcint.dll 8/15/95 2.50.3006 

If you suspect that your copies of these DLLs could be causing your
configuration/connection problem, you can rename the above
DLLs and re-install SQL Anywhere. The following provide some symptoms
indicating your DLLs are out of date: 

� When you start the 32-bit ODBC Administrator (ODBCAD32.EXE), the initial
window does NOT have a button labeled System DSN.
� After creating a 32-bit ODBC datasource (and saving and exiting the
32-bit administrator), you cannot see that datasource listed
when you start the 16-bit ODBC Administrator (ODBCADM.EXE). Although you
cannot setup or edit 32-bit datasources using the
16-bit ODBC Administrator, it will list your 32-bit datasources with an
indication that they are 32-bit. 

Configuring ODBC Datasources from 16-bit Application Development Tools 


Some application development tools provide an interface to allow you to
configure ODBC datasources from within the tool. If you are
using a 32-bit version of SQL Anywhere, you must ensure that a 32-bit
datasource is created. As a result, you may need to configure
your ODBC datasources outside of your development tool. For example, to use
the 32-bit version of SQL Anywhere with a 16-bit
version of Powerbuilder, perform the following steps:

� Create a 32-bit SQL Anywhere datasource for your database using the
32-bit ODBC Administrator. (As noted previously, this
datasource name MUST NOT be the same as any existing 16-bit datasource
name.)
� Start Powerbuilder and create a new Database Profile for this new
datasource. For the database profile, you only need to specify
the Profile Name, the DBMS Type (ODBC) and the DBPARM
(ConnectString=DSN=Your 32-bit dsn here). Do not configure an ODBC
datasource from within Powerbuilder. 
-- 
Rick Blythe
Knowledge Officer
Sybase Inc.
rickb@watcom.com

Ruben Valenzuela <aetnagen@reuna.cl> wrote in article
<01bc4b5f$73b465f0$a1101cc8@ldt>...
> I'm  concerned about connecting from PB 4.0.5 to SA 5.0.5. I tried from
> ISQL and everything works fine but when defining my profile from PB it
just
> doesn't connect.
> 
> Has anybody stablished an Transact SQL DB in SA and connected from PB,
when
> I tried setting the quoted_identifier = OFF it complains about the
> PRECISION option.
> 
> thank's in advance.
> 
> Ruben Valenzuela
> 
0
Rick
4/18/1997 6:03:35 PM
Let me share some extra information:

I'm developing under windows 3.1 and upgraded SA 5.0.2 to 5.0.5 since then
I lost access from PB and when I load the ODBC Administrator I get
"...setup routines for SA 5.0 ODBC driver could not be loaded..."

The other thing is I don't have all the files you listed, I assume it's
because I'm working on a 16 bit platform.

Must I downgrade to 5.0.2? - 
I was interested on using Sybase Remote from SQL Central -it's far more
easier-, but building the application and deploying for windows 3.1

Thank's again


0
AETNA
4/18/1997 6:39:52 PM
Make sure your path statement is correctly set in your autoexec.bat file


AETNA CHILE <aetnagen@reuna.cl> wrote in article
<01bc4c30$7beb7160$a80101c0@marcelo-montes>...
> Let me share some extra information:
> 
> I'm developing under windows 3.1 and upgraded SA 5.0.2 to 5.0.5 since
then
> I lost access from PB and when I load the ODBC Administrator I get
> "...setup routines for SA 5.0 ODBC driver could not be loaded..."
> 
> The other thing is I don't have all the files you listed, I assume it's
> because I'm working on a 16 bit platform.
> 
> Must I downgrade to 5.0.2? - 
> I was interested on using Sybase Remote from SQL Central -it's far more
> easier-, but building the application and deploying for windows 3.1
> 
> Thank's again
> 
> 
> 
0
Ray
4/22/1997 3:48:03 PM
Reply:

Similar Artilces:

How to do from ASA5.5.0.4 #1867 To 5.5.0.5?
Hi , I have 1 database on ASA5.5.04 Built #1867, Today I download the package 5.5.0.5 from Sybase web page,after I run the setup.exe. I can not start my database anymore. Can anyone help me. Thanks A Lot! Kadee What error are you getting? /ck "kadee" <kadee@pchome.com.tw> wrote in message news:$O6WtrS6BHA.238@forums.sybase.com... > Hi , > > I have 1 database on ASA5.5.04 Built #1867, > Today I download the package 5.5.0.5 from > Sybase web page,after I run the setup.exe. > I can not start my database anymore. > > Can...

superreview granted: [Bug 341583] Bump Thunderbird version to 1.5.0.5 : [Attachment 225643] 1.5.0.4 -> 1.5.0.5
David Baron <dbaron@mozilla.com> has granted superreview: Bug 341583: Bump Thunderbird version to 1.5.0.5 https://bugzilla.mozilla.org/show_bug.cgi?id=341583 Attachment 225643: 1.5.0.4 -> 1.5.0.5 https://bugzilla.mozilla.org/attachment.cgi?id=225643&action=edit ...

superreview granted: [Bug 341582] bump version numbers for 1.5.0.5 release : [Attachment 225641] 1.5.0.4 -> 1.5.0.5
David Baron <dbaron@mozilla.com> has granted superreview: Bug 341582: bump version numbers for 1.5.0.5 release https://bugzilla.mozilla.org/show_bug.cgi?id=341582 Attachment 225641: 1.5.0.4 -> 1.5.0.5 https://bugzilla.mozilla.org/attachment.cgi?id=225641&action=edit ...

From SQLAnywhere 5.5.0.4 to ASA in PB6.5
Hi all, I am upgrading our single user PB application to a multiuser application We are using as backend Adaptive Server Anywhere 6.0.1.1165. Now I have a serious problem: when insert a row into a table, which has an autoincremental field as primary key, the new key value is not returned to my datawindow/datastore and I really have selected the primary key as identifier. I have been looking in the file PBODB60.ini but I have not found a section with [ADAPTIVE SERVER ANYWHERE]. Should there be such a section ??? Is there someone who can help with getting my autoincremental ke...

Virus Detection S/W (Netware 4.11) Compatible w/SQL Anywhere 5.5.0.3 & 5.5.0.4
<HTML> Does anyone have any recommendations as to a virus detection software for Netware (4.11) that is compatible with SQL Anywhere 5.5.0.3 or 5.5.0.4?&nbsp; Our customer was using Cheyenne's Innoculan which shut the database/service down and they are looking for a proven alternative. <BR>Thanks, <BR>Stacy Zacher <BR>M&amp;I Data Services, Inc.</HTML> Stacy Zacher wrote: > > Does anyone have any recommendations as to a virus detection software > for Netware (4.11) that is compatible with SQL Anywhere 5.5.0.3 or > 5.5.0.4? ...

NW6.5 sp6 Apache 2.0.59 MySQL 4.0.26a PHP 5.0.5
Hi! We have Novell SBS 6.5, a tree with 3 servers: 1. Border Manager sp1 2. GroupWise (NAT) sp1 3. WEB (NAT) sp6 - Apache 2.0.59, MySQL 4.0.26a and PHP 5.0.5. Before upgraded the third server from sp1 to sp6 we used PHP 4 with MySQL 4.0.26a without problems. Now, when I try to work with phpMyAdmin 2.6.4-pl3, it displays partial DB information (tables format), but most other actions cause to Apache to crash with the following message on server console: 8-27-2007 8:28:11 am: SERVER-5.70-2187 [nmID=D0006] Removed address space because of memory prote...

SM2.5 crash
I got those traps when trying to 'Edit as new'(?) a previous sent mail and wanted to change the language via right click in subject line. Was reproduce able a few times but now it works. Maybe I tried to fast switching spell checker? ------------------------------------------------------------ 12-06-2011 21:37:47 SYS3171 PID 006e TID 0001 Slot 0077 P:\SEAMONKEY2\SEA!LRQ.EXE c0000005 14dd6ac8 P1=00000002 P2=0002fffc P3=XXXXXXXX P4=XXXXXXXX EAX=00030064 EBX=00030180 ECX=00030180 EDX=27a22940 ESI=24c5ee88 EDI=24c5ee88 DS=0053 DSACC=f0f3 DSLIM=ffffffff ES=0053...

1.5.0.0.3 vs 1.5.0.0.4
I have had numerous difficulties with FF 1.5.0.0.4, in particular, some sites often just hang when I click on links. A particularly bad site is Dell http://www.dell.com/, which - when I try to configure a computer - gets all kinds of "waiting for dell" status bar messages. I tried it with a clean profile, to no avail. It works flawlessly with IE. I downloaded fresh copies of 1.5.0.3 and 1.5.0.4 with the intent of uninstalling the latter and then trying the former. *The uninstall process hung*. So I installed 1.5.0.3 on top of 1.5.0.4. The Dell site now works fl...

Will PD2.0 WORK WITH SQLAnywhere 5.5.0.4??
Does anyone know of any compatibility issues with using PD2.0 with this newer version of SQLA? What about the new Adaptive Server Anywhere 6?? Thanks for any input you can offer, Scott Works fine with 5.504 and I can't think of any reason why it wouldn't work with 6. Carson ---------------------------------------------------------------------------- Carson Hager Dynamic Data Solutions Team Powersoft http://www.dyn-data.com MS Certified Professional chager@dyn-data.com ******** Are You Ready for ...

Which Version 12.5.0.3, 12.5.0.4, 12.5.1
We are currrently running 11.9.2 on an old HPUX server (development). We are getting a newer HPUX server and our DBA is asking us which version we should install. It will be a clean install. Are there any major problems we may encounter when the 11.9.2 databases are installed/upgraded to any of the above version. We have numerous stored procs, views and triggers. Once all applications are fully tested, we will be upgrading the production server to whichever version we choose. I hope that made sense. TIA Scott ...

datawindow created in sqlanywhere 5.5.0.4 upgrade to ASA6.0.1
I've a problem with datawindow. I'm using pb5.0.2 and created a lot of datawindow using sqlanywhere 5.5.0.4 Now i've upgrade sqlanywhere 5.5.0.4 to ASA6.0.1. My problem is, when i want to modify datawindow (datasource mode) to add table into my datawindow, the pb did'nt recognise the old table because all the tables name seem have a prefix DBA. eg. DBA.tablename Can anybody help me...! Hi, one way is to update your pb.ini with an entry for [Adaptive Server Anywhere]. Take a look at the ASA Online Help a search for 'upgrade' the neccessary info...

[ANN] Release of Bugzilla 4.5.5, 4.4.5, 4.2.10, and 4.0.14
Today we are releasing 4.4.5, 4.2.10, 4.0.14, and the unstable development snapshot 4.5.5. All releases fix a security issue found since the last release. Bugzilla 4.4.5 is our latest stable release. Bugzilla 4.4.5, 4.2.10 and 4.0.14 are security updates for the 4.4, 4.2, and the 4.0 branches, respectively. Note that 4.5.5 is an unstable development release and should not be used in production environments. We are not yet feature-frozen at this time so the features you see in 4.5.5 might not accurately represent the behavior that 5.0 will have. Note that when Bugzilla 5...

Security advisory for Bugzilla 4.5.5, 4.4.5, 4.2.10, and 4.0.14
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 Summary ======= Bugzilla is a Web-based bug-tracking system used by a large number of software projects. The following security issue has been discovered in Bugzilla: * An attacker can get access to some bug information using the victim's credentials using a specially crafted HTML page. All affected installations are encouraged to upgrade as soon as possible. Vulnerability Details ===================== Class: Cross Site Request Forgery Versions: 3.7.1 to 4.0.13, 4.1.1 to 4.2.9, 4.3.1 to 4.4.4, 4.5.1 to 4.5...

Smoke [5.8.4] 22871 FAIL(Fc) cygwin_nt-5.0 1.5.10(0.116/4/2) (x86/1 cpu)
Automated smoke report for 5.8.4 patch 22871 PC09: x86 Family 15 Model 1 Stepping 2, GenuineIntel (x86/1 cpu) on cygwin_nt-5.0 - 1.5.10(0.116/4/2) using gcc version 3.3.1 (cygming special) smoketime 9 hours 8 minutes (average 45 minutes 42 seconds) Summary: FAIL(Fc) O =3D OK F =3D Failure(s), extended report at the bottom X =3D Failure(s) under TEST but not under harness ? =3D still running or test results not (yet) available Build failures during: - =3D unknown or N/A c =3D Configure, m =3D make, M =3D make (after miniperl), t =3D make test-p= rep ...

Web resources about - Pbuilder 4.0.5 and SA 5.0.5 - sybase.sqlanywhere.general

Alice Palmer (politician) - Wikipedia, the free encyclopedia
English, sociology B.S., M.A. urban studies, educational administration, Ph.D. First appointed to fill the vacant seat of retired state senator ...

BuildBot: Ethereum
Home - Waterfall Grid T-Grid Console Builders Recent Builds Buildslaves Changesources - JSON API - About Waterfall waterfall help last build ...

Ceph · GitHub
Build software better, together.

國王的耳朵是驢耳朵
拾人牙慧和囫圇吞棗的過程中,難免會有錯誤的地方而誤人子弟。正所謂的吃芝麻沒有不掉燒餅,有看到錯誤麻煩讓小弟知道。您可以透過G-Mail ID: wen點cf83和我聯絡 ;)

» Cairo Perf Testing on the Nexus 7 Matt Fischer's Blog
Last week I was running some cairo perf traces on the Nexus7. Cairo-perf traces are a great way to measure 2d graphics performance and to use ...

Unity: release early, release often… release daily! (part 3)
This post is part of the Unity daily release process blog post suite. Now that we know how branches are flying to trunk and how we ensure that ...

New version, with desktop support
There’s a new version of Beru available all over (more on that in a bit) that tries to make Beru more usable on the desktop. In a way, this goes ...

Packagecloud Blog
Official Packagecloud Blog

Directory listing - Wine (wine-unstable) packages
files (dget simplifies this) and build the packages yourself. (pbuilder, dpkg-buildpackage, etc.). Please note, that it might take some time ...

Release-critical Bugreport for November 21, 2003
[ Date Prev ][ Date Next ][ Thread Prev ][ Thread Next ][ Date Index ][ Thread Index ] Release-critical Bugreport for November 21, 2003 To : ...

Resources last updated: 12/16/2015 4:52:20 PM